# AI Toolbox

[AI 工具箱](https://fishersama.com/)是一个功能丰富的AI工具集合平台，集成了多种实用的人工智能工具和功能。该项目采用现代化的Web技术栈构建，提供直观的用户界面和流畅的使用体验。

## 功能特性

### 图片处理工具
- 智能背景移除：自动识别并移除图片背景
- 图片水印添加：为图片添加自定义水印
- 图片压缩工具：优化图片大小，保持质量
- 图片Base64转换：图片与Base64编码互转
- 手写效果生成：将文字转换为手写风格图片

### 文本转换工具
- 文字转图片卡片：将文本转换为精美的分享卡片
- 名言卡片生成：创建精美的名言引用卡片
- Markdown转图片：将Markdown文本转换为图片
- LaTeX公式转图片：数学公式可视化工具
- 文本差异对比：比较两段文本的差异

### 开发者工具
- JSON格式化工具：美化和验证JSON数据，支持语法高亮
- URL编解码工具：URL字符串的编码与解码
- 代码美化工具：支持多种编程语言的代码格式化

### 多媒体工具
- 字幕生成器：自动为视频生成字幕文件
- 图文叠加工具：在图片上叠加文字内容

### 通用功能
- 多语言支持：完整的中英日韩文界面切换
- 响应式设计：完美适配桌面端和移动端
- 实时预览：所有工具支持即时预览效果

## 快速开始

### 前置要求

- Node.js (版本 16.0.0 或更高)
- npm (版本 7.0.0 或更高)

### 安装

1. 克隆仓库
```bash
git clone https://github.com/fisherdaddy/ai-toolbox.git
cd ai-toolbox
```

2. 安装依赖
```bash
npm install
```

3. 启动开发服务器
```bash
npm run dev
```

4. 在浏览器中打开 `http://localhost:3000` 查看应用

## 使用方法

1. 文字转图片卡片
   - 导航到 "文字卡片" 工具
   - 在左侧输入框中输入文本
   - 可选择不同的主题样式和字体
   - 右侧实时预览生成的图片卡片
   - 点击 "导出为图片" 下载生成的图片

2. JSON格式化工具
   - 导航到 "JSON 格式化" 工具
   - 在左侧输入框中粘贴JSON数据
   - 支持JSON验证和错误提示
   - 右侧自动显示格式化后的JSON结构
   - 支持复制格式化后的代码

3. 智能背景移除
   - 上传需要处理的图片
   - 自动识别并移除图片背景
   - 支持预览和下载处理后的图片
   - 可调整处理参数以获得最佳效果

## 技术栈

- React 18
- React Router v6
- Styled Components
- Vite
- Ant Design
- i18next

## 贡献指南

我们欢迎所有形式的贡献，无论是新功能、bug修复还是文档改进。请遵循以下步骤：

1. Fork 本仓库
2. 创建你的特性分支 (`git checkout -b feature/AmazingFeature`)
3. 提交你的改动 (`git commit -m 'Add some AmazingFeature'`)
4. 推送到分支 (`git push origin feature/AmazingFeature`)
5. 创建一个 Pull Request

## 许可证

本项目采用 Apache 许可证 - 查看 [LICENSE](LICENSE) 文件了解详情